=== modified file 'Makefile'
--- Makefile	2010-03-15 17:46:45 +0000
+++ Makefile	2010-03-18 21:48:57 +0000
@@ -337,7 +337,6 @@
 			  /var/tmp/codehosting.test \
 			  /var/tmp/codeimport \
 			  /var/tmp/fatsam.appserver \
-			  /var/tmp/launchpad_mailqueue \
 			  /var/tmp/lperr \
 			  /var/tmp/lperr.test \
 			  /var/tmp/mailman \
@@ -345,6 +344,10 @@
 			  /var/tmp/ppa \
 			  /var/tmp/ppa.test \
 			  /var/tmp/zeca
+	# /var/tmp/launchpad_mailqueue is created read-only on ec2test
+	# instances.
+	[ -w /var/tmp/launchpad_mailqueue ] && $(RM) -rf /var/tmp/launchpad_mailqueue
+
 
 realclean: clean
 	$(RM) TAGS tags

=== modified file 'lib/devscripts/ec2test/testrunner.py'
--- lib/devscripts/ec2test/testrunner.py	2010-03-18 10:42:32 +0000
+++ lib/devscripts/ec2test/testrunner.py	2010-03-18 21:48:57 +0000
@@ -400,6 +400,10 @@
           '-p/var/launchpad/tmp -t/var/launchpad/test'),
         # set up database
         p('/var/launchpad/test/utilities/launchpad-database-setup $USER')
+        p('mkdir -p /var/tmp/launchpad_mailqueue/cur')
+        p('mkdir -p /var/tmp/launchpad_mailqueue/new')
+        p('mkdir -p /var/tmp/launchpad_mailqueue/tmp')
+        p('chmod -R a-w /var/tmp/launchpad_mailqueue/')
         # close ssh connection
         user_connection.close()
 

